import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MatButtonModule } from '@angular/material/button';
import { MatMenuModule } from '@angular/material/menu';
import { UserService } from '../../services/user-service';

@Component({
  selector: 'app-book-menu',
  standalone: true,
  imports: [RouterModule, MatButtonModule, MatMenuModule],
  templateUrl: './user-menu.component.html'
})

export class UserMenuComponent {
  private Service : UserService;
  public userconnecte : String | undefined;
  public route : String | undefined;

  public constructor(us: UserService) {
    this.Service = us
    this.reloadPseudo()
  }

  public reloadPseudo(){
    let id = localStorage.getItem('UserConnecte');

    if (typeof id === "string" && id !="undefined"){
      let user = this.Service.getUserById(+id)
      this.route = "/users/" + user?.id
      this.userconnecte = user?.login
      this.userconnecte = id
    } else {
      this.userconnecte = "Pseudo";
      this.route = "/users/0";
    }
  }

}
